# Namespace hcap.video

hcap.video

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.video

## Method Summary

## Namespace Detail

hcap.video

## Method Detail

- <static> hcap.video.getOsdTransparencyLevel(param)
  Gets the transparency level of the OSD.

      hcap.video.getOsdTransparencyLevel({
           "onSuccess" : function(s) {
               console.log("onSuccess : level = " + s.level);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {Number} param.level - transparency level of the OSD (transparent 0 ~ 100 opaque)
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.setOsdTransparencyLevel()
- <static> hcap.video.getVideoSize(param)
  Gets the current video size.
  Position and size parameters are on the basis of the resolution of the property "display_resolution".

      hcap.video.getVideoSize({
           "onSuccess" : function(s) {
               console.log("onSuccess : " +
                   "\n x = " + s.x +
                   "\n y = " + s.y +
                   "\n width = " + s.width +
                   "\n height = " + s.height);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {Number} param.x - x position of the video
                // {Number} param.y - y position of the video
                // {Number} param.width - width of the video
                // {Number} param.height - height of the video
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.setVideoSize()
- <static> hcap.video.isVideoMute(param)
  Gets whether video mute is on or off.

      hcap.video.isVideoMute({
           "onSuccess" : function(s) {
               console.log("onSuccess : videoMute = " + s.videoMute);
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function (param) {
                // {Boolean} param.videoMute - true if the video mute is on. false if the video mute is off.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.setVideoMute()
- <static> hcap.video.setOsdTransparencyLevel(param)
  Sets the transparency level of the OSD.

      hcap.video.setOsdTransparencyLevel({
           "level" : 30,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Number} param.level [Required] - transparency level to be set (transparent 0 ~ 100 opaque)
    - {Function} param.onSuccess [Optional] - success callback function.
      Setting to same transparency level as before will invoke this callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.getOsdTransparencyLevel()
- <static> hcap.video.setVideoMute(param)
  Turns on or off the video mute. When the channel is changed, the video mute setting is reset to off.

      hcap.video.setVideoMute({
           "videoMute" : true,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Boolean} param.videoMute [Required] - true to turn on video mute, else false.
    - {Function} param.onSuccess [Optional] - success callback function.
      Setting to the same setting as before will invoke this callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.isVideoMute()
- <static> hcap.video.setVideoSize(param)
  Resizes the video size.
  Position and size parameters are on the basis of the resolution of the property "display_resolution".
  Supported size values are dependent on the platform or the model.

      hcap.video.setVideoSize({
           "x" : 10,
           "y" : 10,
           "width" : 400,
           "height" : 300,
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Number} param.x - x position of the video.
    - {Number} param.y - y position of the video.
    - {Number} param.width - width of the video.
    - {Number} param.height - height of the video.
    - {Function} param.onSuccess [Optional] - success callback function.
      Setting to the same x/y/width/height as before will invoke this callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.3.1
  See:
    hcap.video.getVideoSize()